package cn.superdesk.uniorder.dubbo.facade.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxResult;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxResultParam;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxResultQueryCriteria;
import cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxListItemVo;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-01-24 11:50:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-01-24 11:50:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSzhtxxElectronicInvoiceFptxxResultService {

    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(SzhtxxElectronicInvoiceFptxxResult entity);

    int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxxResult entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    SzhtxxElectronicInvoiceFptxxResult findById(Long id);

    @Deprecated
    PageInfo<SzhtxxElectronicInvoiceFptxxResult> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<SzhtxxElectronicInvoiceFptxxResult> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addSzhtxxElectronicInvoiceFptxxResult(SzhtxxElectronicInvoiceFptxxResultParam param);

    void updateSzhtxxElectronicInvoiceFptxxResult(SzhtxxElectronicInvoiceFptxxResultParam param);

    void deleteSzhtxxElectronicInvoiceFptxxResult(Long id);

    SzhtxxElectronicInvoiceFptxxResult findSzhtxxElectronicInvoiceFptxxResultById(Long id);

    SzhtxxElectronicInvoiceFptxxResult findByFpqqlsh(String fpqqlsh);

    R<List<SzhtxxElectronicInvoiceFptxxResult>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<SzhtxxElectronicInvoiceFptxxResult>> pageQueryGenericParam(SzhtxxElectronicInvoiceFptxxResultQueryCriteria criteria);

    /****************************************** biz start ******************************************/

    int savedPdfUrl(String fpqqlsh, LoginSysUser loginSysUser);

    int savedPdfUrl(SzhtxxElectronicInvoiceFptxxListItemVo fptxxResult, LoginSysUser loginSysUser);

    int callServiceSzhtxxElectronicInvoiceApiBatchQuery(List<SzhtxxElectronicInvoiceFptxxListItemVo> fptxxListItemVoList, LoginSysUser loginSysUser);

    int entryFileNotFoundPdfSingleTime(SzhtxxElectronicInvoiceFptxxListItemVo listItemVo, LoginSysUser loginSysUser);

    int entryFileNotFoundPdf(List<SzhtxxElectronicInvoiceFptxxListItemVo> fptxxListItemVoList, LoginSysUser loginSysUser);
}
